function js = sphbes(nu, z, params)
% returns the spherical Bessel functions of the first kind, jnu(z)
% special handling of small arguments to avoid division by zero
% the formula  for small argument is from "NIST Handbook of Mathematical
% functions" Cambridge Uni. Press, 2010

if( abs(z) < params.limit)  
    js = z^nu / dfactorial(2*nu+1);
else
    js = sqrt(pi / 2 / z) * besselj(nu + 0.5, z);
end

end




