function js = sphbes_per_x(nu, z, params)
% returns the spherical Bessel functions of the first kind divided by z,
% jnu(z)/x
% special handling of small arguments to avoid division by zero
% the formula  for small argument is from "NIST Handbook of Mathematical
% functions" Cambridge Uni. Press, 2010

if( abs(z) < params.limit)  
    js = z^(nu-1) / dfactorial(2*nu+1);
else
    js = sphbes(nu, z, params) / z;
end

end